Retrieve an Index Job Log
Use the get index job log operation to retrieve the log
output for an index build job.
The operation returns the detailed log file contents for diagnosing index creation issues or monitoring progress.
See the following for examples of how to implement
get_index_job_log:
from oracle_vecdb import OracleVecDB, Configuration
client = OracleVecDB(Configuration(
rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
# or username="<user>", password="<pass>"
access_token="<bearer-token>",
))
#create an index to initiate a load job
response = client.create_index(table_name='products')
#retrieve the log output
log_output = client.get_index_job_log(response.job_name)
print(log_output)A JSON response is returned containing log file metadata and contents.
For more information about the get_index_job_log
operation, see Python API Reference.
See how GET
/vecdb/vector-indexes/jobs/{index_job_name}/jobfile can be used in
the following example:
curl -X GET \
"https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/VECDB_CREATE_INDEX_20260501100000/jobfile" \
-H "Accept: application/json" \
# Choose ONE authentication method:
# Option 1: Basic authentication
-u "<user>:<password>"
# Option 2: OAuth Bearer token
# -H "Authorization: Bearer <access_token>"Responses:
- Example 200
response:
{ "actual_start_date": "2026-05-01T10:00:00.32485Z", "additional_info": null, "error#": 0, "job_name": "VECDB_CREATE_INDEX_20260501100000", "links": [ { "href": "/vecdb/vector-indexes/jobs/VECDB_CREATE_INDEX_20260501100000/", "rel": "collection" } ], "log_date": "2026-05-01T10:00:00.772103Z", "run_duration": "P0DT0H0M0S", "status": "SUCCEEDED" }
For more information about GET
/vecdb/vector-indexes/jobs/{index_job_name}/jobfile, see REST API Reference.